Bug 439116 - POWER 6 systems cannot boot without manual intervention
POWER 6 systems cannot boot without manual intervention
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yaboot (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Roman Rakus
James Laska
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 22:50 EDT by Andrew Ryan
Modified: 2014-01-12 19:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:15:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
yaboot patch (4.41 KB, patch)
2008-03-26 22:50 EDT, David Robinson
no flags Details | Diff

  None (edit)
Description David Robinson 2008-03-26 22:50:21 EDT
Description of problem:
POWER 6 systems cannot boot without manual intervention after installing and
booting a >= 2.6.20-rc1 kernel. Kernel 2.6.20-rc1 introduces support for
"ibm,dynamic-reconfiguration-memory nodes", and when this feature is used (ie,
kernel 2.6.20-rc1+ is booted) subsequent boots will not be automatic: the kernel
label must be manual entered at yaboot.

If RHEL 5 is installed on a system and a >= 2.6.20-rc1 kernel is installed then
subsequent boots of RHEL 5 will not occur automatically -- the label must be
manually entered.

Version-Release number of selected component (if applicable):
kernel-2.6.18-84.el5
yaboot-1.3.13-5
Machine Type = 9117-MMA

How reproducible:
?

Steps to Reproduce:
1. Load any variant of RHEL 5 on a POWER6 system.
2. Download, build and install the mainline kernel.
3. Reboot
  
Actual results:
The boot process begins, the firmware detects a CAS change and reboots the
system. To correctly boot the system you need to manually enter the kernel label
again.

Expected results:
Yaboot should automatically boot the last kernel attempted.

Additional info:
This problem will be seen in upgrades from RHEL 5.x to RHEL 6, when released.

A patch from IBM against yaboot (to fix unattended reboot on POWER 6) is attached.
Comment 1 David Robinson 2008-03-26 22:50:21 EDT
Created attachment 299255 [details]
yaboot patch
Comment 3 RHEL Product and Program Management 2008-06-02 16:12:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Brad Peters 2008-07-10 13:39:59 EDT
Hi Roman,

I wanted to get our email correspondence out there so people would understand
that you were pushing this bug.  Hope you don't mind!

------
> Roman,
>
> Is there anything I need to do to ensure this patch makes RHEL 5.3?  Is there
> any testing that needs to be done, or perhaps a mailing list I should to post
> to in order to get the patch reviewed?
>
> Thanks!

Hi Brad,

there is special process for this called errata. Don't deal with this bug. I
will do everything needed. 
Comment 11 errata-xmlrpc 2009-01-20 17:15:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0244.html

Note You need to log in before you can comment on or make changes to this bug.